dpkg-query(1)

NAMN
dpkg-query - ett verktyg för att fråga dpkg-databasen

SYNOPS
dpkg-query [flaggor...] åtgärd

BESKRIVNING
dpkg-query är ett verktyg för att visa information om paket i dpkg-databasen.

KOMMANDON

-l, --list [paketnamnsmönster ...]
    Lista paket som matchar det givna mönstret. Om inget paketnamnsmönster anges listas alla paket i /var/lib/dpkg/status, förutom de paket som markerats som ej installerade (dvs. de som tidigare har helt tagits bort). Skalets normala jokertecken tillåts i paketnamnsmönster. Observera att du sannolikt måste skriva paketnamnsmönster inom citationstecken för att förhindra att skalet expanderar filnamnet. Till exempel kommer följande lista alla paket vars namn börjar på "libc6":
      dpkg-query -l 'libc6*'
    De första tre kolumnerna i utdata visar önskad åtgärd, paketstatus och fel, i den ordningen. Önskad åtgärd
      u = Okänd
      i = Installera
      h = Håll
      r = Ta bort
      p = Rensa
    Paketstatus:
      n = Ej installerat
      c = Konfigurationsfiler
      H = Halvinstallerat
      U = Uppackat
      F = Halvkonfigurerat
      W = Utlösare väntad
      t = Utlösare förestående
      i = Installerad
    Felflaggor:
      <tom> = (ingen)
      R = Ominstallation krävs
    En versal status- eller felbokstav anger att paketet troligen kommer orsaka allvarliga problem. Se dpkg(1) för information om status och flaggor ovan. Utdataformatet för den här flaggan kan inte justeras, men varieras automatiskt för att passa terminalbredden. Det är avsett för mänskliga läsare, och är inte enkelt maskinläsbart. Se -W (--show) och --showformat för hur du konfigurerar utdataformatet.

-W, --show [paketnamnsmönster ...]
    Just like the --list option this will list all packages matching the given pattern. However the output can be customized using the --showformat option. The default output format gives one line per matching package, each line having the name (extended with the architecture qualifier for Multi-Arch same packages) and installed version of the package, separated by a tab.

-s, --status paketnamn ...
    Rapportera status om det angivna paketet. Detta alternativ visar helt enkelt posten i statusdatabasen för installerade paket. Om flera paketnamn anges avdelas de efterfrågade statusposterna med en tomrad, i samma ordningsföljd som i parameterlistan.

-L, --listfiles paketnamn ...
    Listar filer som installerats på ditt system från paketnamn. Om flera paketnamn anges avdelas den efterfrågade fillistan med en tomrad, i samma ordningsföljd som anges i parameterlistan. Observera att filer som skapats av paketspecifika installationsskript inte visas.

--control-list paketnamn
    Lista kontrollfiler installerade på ditt system från paketnamn. Dessa kan användas som inargument till --control-show.

--control-show paketnamn kontrollfil
    Visar den kontrollfil som installerats på ditt system från paketnamn på standard ut.

-c, --control-path paketnamn [control-filnamn]
    Visar sökvägarna till kontrollfilerna som installerats på ditt system för paketnamn. Om kontrollfil anges visas endast sökvägen för den kontrollfilen, om den finns. Varning: kommandot är föråldrat, vi ber dig gå över till att istället använda --control-list och --control-show.

-S, --search filnamnssökmönster ...
    Sök efter paket som äger filer som motsvarar det angivna mönstret. Alla skalets vanliga jokertecken kan användas i mönstret. Kommandot kommer inte att visa extrafiler som skapas av paketskript, ej heller kommer det att visa alternativ.

-p, --print-avail paketnamn
    Visar information om paketnamn, enligt vad som finns i /var/lib/dpkg/available. Om flera paketnamn anges avdelas de efterfrågade posterna ur available-filen med en tomrad, med samma ordningsföljd som anges i parameterlistan. Använder du ett APT-baserat skal bör du istället använda apt-cache show paketnamn, då available-filen endast àjourförs om dselect används.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FLAGGOR

--admindir=kat
    Ändra platsen för dpkg-databasen. Förval är /var/lib/dpkg.

--load-avail
    Läs även in available-filen när kommandona --show och --list används, vilka numera som standard endast läser statusfilen.

-f, --showformat=format
    Flaggan används för att ange formatet på utdata som skapas av --show. Formatet är en sträng som matas ut för varje paket i listan. I formatsträngen inleds följande styrsekvenser med “\”:
        \n  radmatning
        \r  vagnretur
        \t  tabulator
    “\” före ett annat tecken undertrycken en speciell betydelse för det efterföljande tecknet, vilket är kan användas för “\” och “$”. Paketinformation kan läggas in genom att sätta in variabelreferenser till paketfält, på syntaxen “${field[;width]}”. Fält skrivs högerjusterade såvida inte bredden är negativ i vilket fall vänsterjustering kommer att användas. Följande fält stöds, men de är inte nödvändigtvis tillgängliga i statusfilen (endast interna fält och fält som finns i binärpaketet hamnar där):
        Architecture
        Bugs
        Conffiles (internt)
        Config-Version (internt)
        Conflicts
        Breaks
        Depends
        Description
        Enhances
        Essential
        Filename (internt, skalrelaterat)
        Homepage
        Installed-Size
        MD5sum (internt, skalrelaterat)
        MSDOS-Filename (internt, skalrelaterat)
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision (föråldrat)
        Section
        Size  (internt, skalrelaterat)
        Source
        Status (internt)
        Suggests
        Tag (normalt inte i .deb, utan i arkivets Packages-filer)
        Triggers-Awaited (internt)    Triggers-Pending (internt)    Version
    Följande är virtuella fält, genererade av dpkg-query från värden från adnra fält (observera att dessa inte är giltiga namn för fält i kontrollfiler):
        binary:Package
        binary:Summary
        db:Status-Abbrev
        source:Package
        source:Version
    The default format string is “${binary:Package}\t${Version}\n”. Actually, all other fields found in the status file (i.e. user defined fields) can be requested, too. They will be printed as-is, though, no conversion nor error checking is done on them. binary:Package is a special field that will print the package name with an architecture qualifier (like "libc6:amd64") if the package has a Multi-Arch field with a value of same, and as such its name could be ambiguous. To get the name of the dpkg maintainer and the installed version, you could run:
      dpkg-query -W -f='${binary:Package} ${Version}\t${Maintainer}\n' dpkg

RETURVÄRDE

0   Den önskade frågan utfördes utan fel.

1   Problems were encountered while parsing the command line or performing the query, including no file or package being found (except for --control-path).

MILJÖVARIABLER

DPKG_ADMINDIR
    If set and the --admindir option has not been specified, it will be used as the dpkg data directory.

COLUMNS
    Inställningen påverkar utdata från kommandot --list genom att ändra bredden på dess utdata.

SE ÄVEN
dpkg(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.